<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Class Members - Typedefs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li class="current"><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_type.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>ActiveScanHandler
: <a class="el" href="d6/d88/classThread_1_1Mac_1_1Mac.html#a4f60a7db3700cbc83526f2e107acb18e">Thread::Mac::Mac</a>
</li>
<li>BufferCallback
: <a class="el" href="d0/d78/classThread_1_1NcpFrameBuffer.html#a0ee345fdaf05d9e00da8a2f9bf628824">Thread::NcpFrameBuffer</a>
</li>
<li>CoapMessageHandler
: <a class="el" href="d0/d63/classThread_1_1Coap_1_1Resource.html#a90c9ec7ffb90463f3b7ab0ef86b53b7c">Thread::Coap::Resource</a>
</li>
<li>DiscoverHandler
: <a class="el" href="df/d94/group__core-mle-core.html#ga5d7fb5cba9cd80daaed8c15fd8257eff">Thread::Mle::Mle</a>
</li>
<li>DstUnreachHandler
: <a class="el" href="da/dff/classThread_1_1Ip6_1_1IcmpHandler.html#a29e4de7922e90efb1c9f2195a7e4cf3c">Thread::Ip6::IcmpHandler</a>
</li>
<li>EchoReplyHandler
: <a class="el" href="da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1576fd382cb2f92f9b48f0b78c671a62">Thread::Ip6::Icmp</a>
</li>
<li>EnergyScanHandler
: <a class="el" href="d6/d88/classThread_1_1Mac_1_1Mac.html#ac7e394185504b00e01a4d9ec1e6be45b">Thread::Mac::Mac</a>
</li>
<li>ErrorHandler
: <a class="el" href="d2/de8/classThread_1_1Hdlc_1_1Decoder.html#a004e2c671a1a230fca9eab0c9914b7ba">Thread::Hdlc::Decoder</a>
</li>
<li>FrameHandler
: <a class="el" href="d8/d5d/classThread_1_1Flen_1_1Decoder.html#ac86fb5611e47c3a10bb020f4046ae227">Thread::Flen::Decoder</a>
, <a class="el" href="d2/de8/classThread_1_1Hdlc_1_1Decoder.html#aa47484267f8c1330dac9bfab262b51d6">Thread::Hdlc::Decoder</a>
</li>
<li>FrameRequestHandler
: <a class="el" href="d1/d40/classThread_1_1Mac_1_1Sender.html#a61b8355297f8e4acff04c373e2e09ae0">Thread::Mac::Sender</a>
</li>
<li>Handler
: <a class="el" href="d4/d92/classThread_1_1Tasklet.html#a585a23e2110880573b8515cf848e5bd8">Thread::Tasklet</a>
, <a class="el" href="d1/d40/classThread_1_1Timer.html#a2fe8bf97d81d29df9bad88079bf66f2e">Thread::Timer</a>
, <a class="el" href="dd/d68/classThread_1_1TrickleTimer.html#a074951e5dd7191e7ce01b86f9b342e4f">Thread::TrickleTimer</a>
</li>
<li>IidCreator
: <a class="el" href="d5/d79/classThread_1_1Utils_1_1Slaac.html#af0fd65764a8b84535796d76600d1d244">Thread::Utils::Slaac</a>
</li>
<li>Mode
: <a class="el" href="dd/d68/classThread_1_1TrickleTimer.html#a7dafdbd53f9e6c8dbc85e32be5aaecf4">Thread::TrickleTimer</a>
</li>
<li>ReceiveFrameHandler
: <a class="el" href="db/d89/classThread_1_1Mac_1_1Receiver.html#a65b10be18aa425e998629b47a6263a06">Thread::Mac::Receiver</a>
</li>
<li>ReceiveHandler
: <a class="el" href="d0/d5d/classThread_1_1MeshCoP_1_1Dtls.html#ae4549ce46dbb24e3364544f31c344b39">Thread::MeshCoP::Dtls</a>
</li>
<li>SendHandler
: <a class="el" href="d0/d5d/classThread_1_1MeshCoP_1_1Dtls.html#a46b3f173dd41439e6ab6793a3a384035">Thread::MeshCoP::Dtls</a>
</li>
<li>SentFrameHandler
: <a class="el" href="d1/d40/classThread_1_1Mac_1_1Sender.html#ae2975643f6a91f8feb440fa30f3c38ff">Thread::Mac::Sender</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:38 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
